New Page 1

Introduction

The TMS470R1A256 devices are members of the Texas Instruments TMS470R1x family of general-purpose 16/32-bit reduced instruction set computer (RISC) microcontrollers. The A256 microcontroller offers high performance utilizing the high-speed ARM7TDMI 16/32-bit RISC central processing unit (CPU), resulting in a high instruction throughput while maintaining greater code efficiency. The TMS470R1A256 utilizes the big-endian format where the most significant byte of a word is stored at the lowest numbered byte and the least significant byte at the highest numbered byte.
High-end embedded control applications demand more performance from their controllers while maintaining low costs. The A256 RISC core architecture offers solutions to these performance and cost demands while maintaining low power consumption.

The TMS470-P256 Development board is designed to evaluate TMS470A256 processor. It has the following features:

  • TMS470A256 16/32-Bit ARM7TDMI microcontroller 256KB Flash, 12KB SRAM, CAN, 2x SPI, 2x UART, C2SIb, HET, 10bit MibADC 1.55uS, WDT, up to 48 MHz operation

  • standard JTAG connector with ARM 2x10 pin layout for programming/debugging with ARM-JTAG

  • CAN connector and driver

  • RS232 interface and drivers

  • SD/MMC card connector

  • LCD 16x2 with backlight

  • three buttons

  • trimpot connected to ADC

  • thermistor connected to ADC

  • Buzzer

  • UEXT - 10 pin extension connector for Olimex addon peripherials like MP3, RF2.4Ghz, RFID etc. modules

  • on board voltage regulator and reset monitor

  • single power supply: 6V AC or DC required

  • power supply LED

  • power supply filtering capacitor

  • RESET button

  • 12 Mhz crystal on socket

  • ANALOG extension port connector

  • DIGITAL extension port connector for all uC ports

  • PCB: FR-4, 1.5 mm (0,062"), soldermask, silkscreen component print

  • Dimensions: 145 x 99 mm (5.7 x 3.9 ")

The purpose of this guide is to describe AT91SAM7-P64 Development board.

Board | TMS470-P256
Hardware details | Describes the hardware peripherials in detail
Revision | 01.09.2005 Creating

Copyright (c) OLIMEX Ltd. All rights reserved


Picture

This is picture of TMS470-P256 Development board.

Board TMS470-P256

Copyright (c) OLIMEX Ltd. All rights reserved


TMS470-P256


TMS470-P256 Board


TMS470-P256 Hardware description

Peripherials

Unit | Description
COM Port | RS232 DB9 Female connector for TMS470R1A256 SCI2 interface.
CAN Port | RS232 DB9 Male connector for TMS470R1A256 CAN interface.
JTAG Connector | 2x10 0,1" step connector for programming with ARM-JTAG.
SD/MMC connector | Connector for external MMC cards.
LCD Display | 2X16 LCD Display
USB connector | USB connector Type B for TMS470R1A256 SCI1 interface.
Extension ports | 2x17 pins, 0,1" extension ports EXT1.
AExtension port | 2x10 pins, 0.1" step extension port for TMS470R1A256 ADC interface.
UExtension port | 2x5 pins, 0.1" step extension port for TMS470R1A256 HET interface.
Buzzer | Buzzer connected to HET[2] (PIN 97) and HET[4] (PIN98)
Buttons | Button1 connected to GIOA[1] / INT1 / ECLK (PIN 29) Button2 connected to GIOA[2] / INT2 (PIN 30) Button3 connected to GIOA[3] / INT3 (PIN 31)
Leds | Yellow status led connected (Led2) to SCI1CLK (PIN 61) Red power led indicator (Led1)

Technical characteristics

Parameter | Description
Voltage Supply | min 9.0V DC, max 12.0V DC min 6.0V AC, max 9.0V AC
CPU | TMS470R1A256
Crystals | Q1 - 12 MHz HF crystal Q2 - 6 MHz
Board dimensions | 145 x 99 mm (5.7 x 3.9 ")
PCB | FR-4, 1.5 mm (0,062"), green soldermask, white silkscreen component print
Operating Temperature | form 0ºC to 70ºC

JTAG Connector

Pin / Name | Connected to: | Functionality
1 - VCC | VCC | -
2 - VCC | VCC | -
3 - TRST | PIN 26 | TRST
4 - GND | GROUND | -
5 - TDI | PIN 52 | TDI
6 - GND | GROUND | -
7 - TMS | PIN 87 | TMS
8 - GND | GROUND | -
9 - TCK | PIN 54 | TCK
10 - GND | GROUND | -
11 - RTCK | GROUND via R71 | -
12 - GND | GROUND | -
13 - TDO | PIN 53 | TDO
14 - GND | GROUND | -
15 - RST | PIN 10 | RST
16 - GND | GROUND | -
17 - - | no connected | -
18 - GND | GROUND | -
19 - - | no connected | -
20 - GND | GROUND | -

RS232 Connector (RS232_2)

Pin / Name | Connected to: | Functionality
1 - CD | not connected | -
2 - RXD | PIN 32 | SCI2RX
3 - TXD | PIN 33 | SCI2TX
4 - DTR | not connected | -
5 - GND | GROUND | -
6 - DSR | not connected | -
7 - RTS | not connected | -
8 - CTS | not connected | -
9 - RI | not connected | -

CAN Connector (CAN)

Pin / Name | Connected to: | Functionality
1 - | not connected | -
2 - CANL | CANL pot SN65HVD230 | -
3 - GND | GROUND | -
4 - | not connected | -
5 - | not connected | -
6 - | not connected | -
7 - CANH | CANH port SN65HVD230 | -
8 - CTS | not connected | -
9 - RI | not connected | -

SD/MMC Connector

Pin / Name | Connected to: | Functionality
1 - CD/DAT3/CS | PIN 2 | SPI2SCS
2 - CMD/DI | PIN 3 | SPI2SIMO
3 - VSS1 | GROUND | -
4 - VDD | +3.3V | -
5 - CLK/SCLK | PIN 5 | SPI2CLK
6 - VSS2 | GROUND | -
7 - DAT0/DO | PIN 4 | SPI2SOMI
8 - DAT1/RES | not connected | -
9 - DAT2/RES | not connected | -
10 - WP1 | PIN 14 | GIOB[2]
11 - WP2 | +3.3V | -
12 - CP1 | +3.3V | -
13 - CP2 | PIN 13 | GIOB[3]

WP - write protect
CP - card present

Jumpers

Jumpers | Position | Description
Jumper 1 (AWD) |  | Enable AWD (Analog WatchDog timer).
 |  | Disable AWD (Analog WatchDog timer).
Jumper 2 (TEST) |  | Test disable.
 |  | Test enable. Reserved for internal use only.
Jumper 3 (PLLDIS) |  | Enable PLL (Phase-Locked Loop).
 |  | Disable PLL (Phase-Locked Loop).
Jumper 4 (CAN_T) |  | Disconnect 120 ohm termination resistor from CAN bus.
 |  | Connect 120 ohm termination resistor to CAN bus.
Jumper 5 (CAN_D) |  | Enable CAN driver.
 |  | Disable CAN driver.
Jumper 6 (EXT/USB) |  | USB power supply.
 |  | External power supply.
Jumper 7 (3.3V_E) Jumper 8 (1.8V_E) |  | Disconnect 3.3V power supply. Disconnect 1.8V power supply.
 |  | Connect 3.3V power supply. Connect 1.8V power supply.


Links

1. Texas Instruments web site

TMS470 product datasheets, application notes, etc info:
http://www.ti.com/

2. TMS470 ARM microcontrollers discussion forum

http://groups.yahoo.com/group/arm-olimex/ - forum for discussions on Olimex ARM boards

3. IAR Systems EW-ARM C compiler and debugger

http://www.iar.com/Products/?name=EWARM

4. Rowley associates CrossWorks for ARM C compiler and debugger

http://www.rowley.co.uk